use strict;
use warnings;
use Module::Build;
use version; our $VERSION = qv('3.4.2.0');

my $html_files_hr = {};

# use File::Find (or an existing module) to add HTML files.

my $builder = Module::Build->new(
    module_name  => 'CipUX::CAT::Web::Module::SelfPassword',
    license      => 'gpl2',
    dist_author  => 'Christian Kuelker <christian.kuelker@cipworx.org>',
    dist_version => $VERSION,
    dist_abstract =>
        'CipUX Administration Tool SelfPassword to set once own password',

    #    create_makefile_pl => 'traditional',
    #    create_readme      => 1,
    #    verbose            => 1,
    installdirs => 'vendor',

    meta_merge => { resources => { homepage => q(http://www.cipux.org), }, },

    recommends => {
        'Test::Perl::Critic'  => 0,
        'Test::Pod::Coverage' => '1.04',
    },

    build_requires => {
        'Test::More'    => 0,
        'Test::Pod'     => '1.14',
        'Module::Build' => 0,
    },

    requires => {
        'CipUX::CAT::Web::Module'     => '3.4.0.0',
        'CipUX::CAT::Web::Controller' => '3.4.0.0',
        'Log::Log4perl'               => 0,
    },
    install_path => { tpl => '/usr/share/cipux-cat-web/web/tpl' },
    html_files   => {
        'tpl/Berlin/selfpassword/index.html' =>
            'tpl/Berlin/selfpassword/index.html',
        'tpl/Berlin/selfpassword/layout.html' =>
            'tpl/Berlin/selfpassword/layout.html',
        'tpl/default/selfpassword/index.html' =>
            'tpl/default/selfpassword/index.html',
        'tpl/default/selfpassword/layout.html' =>
            'tpl/default/selfpassword/layout.html',
        'tpl/Zeuthen/selfpassword/index.html' =>
            'tpl/Zeuthen/selfpassword/index.html',
        'tpl/Zeuthen/selfpassword/layout.html' =>
            'tpl/Zeuthen/selfpassword/layout.html'
    },
    png_files => {
       'tpl/default/img/selfpassword.png' =>
       'tpl/default/img/selfpassword.png',
    },
    add_to_cleanup => ['CipUX-CAT-Web-Module-*'],
);

# new BUILD and INSTALL target (lib/*/*.po)
# (will install all po files under lib)
$builder->add_build_element('po');
$builder->add_build_element('html');
$builder->add_build_element('png');

# BUILD target
#$builder->do_create_readme();
#$builder->do_create_makefile_pl();
$builder->create_build_script();
